/*
 * main implementation: use this 'C' sample to create your own application
 *
 */
#include "common.h"
#include "derivative.h" /* include peripheral declarations */
#include "sysinit.h"
extern void sysinit(void);
void GPIO_Init(void);

/*******************Macro for GPIO pins******************/
#define GPIO_PIN_MASK   0x1Fu
#define GPIO_PIN(x)     (((1)<<(x & GPIO_PIN_MASK)))
int measure = 0;
int v,vint,vfrac,tint;
float vtemp,temp;

#define VDD 		3.3
#define Resolution 	65536
#define Slope 		0.001715
#define Vtemp25		0.719 

int main(void)
{
	int counter = 0;
	sysinit();
	ADC1_Init16b();
	ADC0_Init16b();
	printf("Hello (Kinetis) World in 'C' from MK60N512VMD100 derivative! \n\r");
	for(;;) {	
		if(counter>=5000000)
		{
			counter = 0;
/*****************************Temperature Sensor******************************************/			
			vtemp = ADC0_Read16b(26); 					//AD26 Temperature Sensor
			printf("ADC0 CH26 = %d\n\r",vtemp);		
			vtemp = vtemp *(VDD/Resolution);			//Convert the ADC reading into voltage
			temp = 25 - ((vtemp - Vtemp25) / Slope);	//Temperature Sensor
			tint = temp;
			printf("Temperature Sensor= %d\n\r",tint);


/*********************************Potentiometer*********************************************/			
			measure = ADC1_Read16b(20);
			printf("ADC CH20= %d\n\r",measure);
			measure=measure*10;
			v=(measure/195);
			vint=v/1000;
			vfrac=v-(vint*1000);
			printf("V= %d.%d\n\r",vint,vfrac);
		}
		counter++;
	}
	return 0;
}
